Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.listener
Class SoapUIListenerRegistry

    java.lang.Object
      com.eviware.soapui.support.listener.SoapUIListenerRegistry

    public class SoapUIListenerRegistry

extends java.lang.Object

Constructor Summary
`SoapUIListenerRegistry(java.io.InputStream config)`

Method Summary
`void` | `addConfig(java.io.InputStream config, java.lang.ClassLoader classLoader)`
`void` | `addListener(java.lang.Class<?> listenerInterface, java.lang.Class<?> listenerClass, com.eviware.soapui.config.SoapUIListenerConfig config)`
`void` | `addSingletonListener(java.lang.Class<?> listenerInterface, java.lang.Object listener)`
`
`<T> java.util.List<T>`
` | `getListeners(java.lang.Class<T> listenerType)`
`void` | `removeListener(java.lang.Class<?> listenerInterface, java.lang.Class<?> listenerClass)`
`void` | `removeSingletonListener(java.lang.Class<?> listenerInterface, java.lang.Object listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUIListenerRegistry

    public SoapUIListenerRegistry(java.io.InputStream config)

Method Detail

### addListener

    public void addListener(java.lang.Class<?> listenerInterface,
                            java.lang.Class<?> listenerClass,
                            com.eviware.soapui.config.SoapUIListenerConfig config)

### removeListener

    public void removeListener(java.lang.Class<?> listenerInterface,
                               java.lang.Class<?> listenerClass)

### addConfig

    public void addConfig(java.io.InputStream config,
                          java.lang.ClassLoader classLoader)

### addSingletonListener

    public void addSingletonListener(java.lang.Class<?> listenerInterface,
                                     java.lang.Object listener)

### removeSingletonListener

    public void removeSingletonListener(java.lang.Class<?> listenerInterface,
                                        java.lang.Object listener)

### getListeners

    public <T> java.util.List<T> getListeners(java.lang.Class<T> listenerType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.